List charges

Paginated, filterable charge history for an account. Returns charges with entity context (phone number, flow name, contact name) from the first associated cost line item.

Authentication

AuthorizationBearer

Pass a JWT access token or an API key (prefixed with tif_live_) as a Bearer token.

Query parameters

limitlongOptional

Page size (max 100)

offsetlongOptionalDefaults to 0
Page offset
charge_typeenumOptional
Filter by charge type
statusenumOptional
Filter by status
start_datestringOptional

Filter from date (inclusive)

end_datestringOptional

Filter to date (inclusive)

Response

Paginated charge history
chargeslist of objects
Items on this page
metaobject
Pagination metadata

Errors

401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error